# TSSundialsGetIterations

Gets the number of nonlinear and linear iterations used so far by Sundials.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSundialsGetIterations(TS ts,int *nonlin,int *lin)

Not Collective

### Input parameters

ts -the time-step context

### Output Parameters

| nonlin | - number of nonlinear iterations
| lin | - number of linear iterations

### Notes

These return the number since the creation of the TS object

### Keywords

non-linear iterations, linear iterations

### See Also

TSSundialsSetType(), TSSundialsSetGMRESRestart(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSundialsSetExactFinalTime()

Level:advanced
Location: src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages